@import 'core/CssShapes/style.scss';
// @import '../../../core/CssShapes/style.scss';

$groupColor : #edebe9;

.rows {
	display: inline-flex;
	flex-direction: row;
	align-items: center;

	&::before {
		content: "";
	}

	&::after {
		content: "";
	}
}

.cols {
	display: flex;
	flex-direction: column;
	flex-grow: 1;
	background-color: transparent;

	.rows:first-child > .vConnectorLeft,
	.rows:first-child > .vConnectorRight {
		justify-content: flex-end;
	}

	.rows:last-child > .vConnectorLeft,
	.rows:last-child > .vConnectorRight {
		justify-content: flex-start;
	}

	.rows:first-child > .vConnectorLeft::after,
	.rows:last-child  > .vConnectorLeft::after,
	.rows:first-child > .vConnectorRight::after,
	.rows:last-child  > .vConnectorRight::after {
		height: calc(50% + 1px);
	}

    // .rows:first-child:nth-last-child(1)  > .vConnectorLeft::after {
    //     height: 0px;
	// 	width: 0px;
    // }
}

.hConnector {
	min-width: 30px;
	height: 0px;
	border-top-style: solid;
	border-top-width: 2px;
	border-color: #5d40e7;

	&.dashed {
		border-top-style: dashed;
	}
}

.grow {
	flex-grow: 1;
}


.vConnectorLeft, .vConnectorRight {
	display: flex;
	flex-direction: column;
	align-self: stretch;
	width: 0px;

	&::after {
		content: "";
		width: 0px;
		border-left-style: solid;
		border-color: #5d40e7;
		border-left-width: 2px;
	}

	&.dashed {
		&::after {
			border-left-style: dashed;
		}
	}
}

$triangle-size: 10px;

.emptyLoop {
	height: 50px;
	width: 50px;
}

.repeatBlock {
	display: inline-flex;
	flex-direction: row;
	align-items: center;

	border-radius: 10px;
	background-color: $groupColor;
	border-style: solid;
	border-color: darken($groupColor, 40);
	margin: 15px 0 15px 0;

	.arrows {
		display: flex;
		flex-direction: column;
		&::before {
			content: "";
			align-self: center;
			@include triangle-left($triangle-size, darken($groupColor, 40));
			margin: -($triangle-size + 1);
		}
	
		&::after {
			content: "";
			align-self: center;
			@include triangle-right($triangle-size, darken($groupColor, 40));
			margin: -($triangle-size + 1);
		}
	
	}
}